#ifndef CHROMEOS_CAMERA_LIB_MEDIAPIPE_SHIM_GPU_GL_CALCULATOR_HELPER_H_
#define CHROMEOS_CAMERA_LIB_MEDIAPIPE_SHIM_GPU_GL_CALCULATOR_HELPER_H_

#include <functional>
#include <memory>

#include "chromeos/camera/lib/mediapipe_shim/framework/calculator_framework.h"

namespace mediapipe {
class GlCalculatorHelper;
}

namespace mediapipe_shim {

// Analogous to mediapipe::GlCalculatorHelper.
class GlCalculatorHelper {
 public:
  GlCalculatorHelper();
  GlCalculatorHelper(GlCalculatorHelper&) = delete;
  GlCalculatorHelper& operator=(GlCalculatorHelper&) = delete;
  ~GlCalculatorHelper();

  static bool UpdateContract(CalculatorContract* contract);
  bool Open(CalculatorContext* context);
  bool RunInGlContext(std::function<bool(void)> gl_func);

 private:
  std::unique_ptr<mediapipe::GlCalculatorHelper> helper_;
};

}  // namespace mediapipe_shim

#endif  // CHROMEOS_CAMERA_LIB_MEDIAPIPE_SHIM_GPU_GL_CALCULATOR_HELPER_H_
