#ifndef CHROMEOS_CAMERA_LIB_MEDIAPIPE_SHIM_LOGGING_H_
#define CHROMEOS_CAMERA_LIB_MEDIAPIPE_SHIM_LOGGING_H_

#include <functional>
#include <string>

namespace mediapipe_shim {

enum class LogSeverity {
  kInfo,
  kWarning,
  kError,
  kFatal,
};

using LogFn = std::function<void(LogSeverity /*severity*/,
                                 const std::string& /*text_message*/)>;

// log_fn should remain valid throughout the program.
void AddLogSink(LogFn log_fn);

}  // namespace mediapipe_shim

#endif  // CHROMEOS_CAMERA_LIB_MEDIAPIPE_SHIM_LOGGING_H_
